/* ✅ TUS 9 FUENTES PERSONALIZADAS EXACTAS */
@font-face {
    font-family: 'UWC27 Bold';
    src: url('assets/fonts/uwc27-bold.woff2') format('woff2');
    font-weight: 700;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 Condensed Light';
    src: url('assets/fonts/uwc27-condensedlight.woff2') format('woff2');
    font-weight: 300;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 Expanded Black';
    src: url('assets/fonts/uwc27-expandedblack.woff2') format('woff2');
    font-weight: 900;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 Normal Regular';
    src: url('assets/fonts/uwc27-normalregular.woff2') format('woff2');
    font-weight: 400;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 Normal Black';
    src: url('assets/fonts/uwc27-normalblack.woff2') format('woff2');
    font-weight: 900;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 SemiExpanded Black';
    src: url('assets/fonts/uwc27-semiexpandedblack.woff2') format('woff2');
    font-weight: 900;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 UltraCondensed Black';
    src: url('assets/fonts/uwc27-ultracondensedblack.woff2') format('woff2');
    font-weight: 900;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 UltraCondensed Bold';
    src: url('assets/fonts/uwc27-ultracondensedbold.woff2') format('woff2');
    font-weight: 700;
    font-display: swap;
}
@font-face {
    font-family: 'UWC27 UltraCondensed Medium';
    src: url('assets/fonts/uwc27-ultracondensedmedium.woff2') format('woff2');
    font-weight: 500;
    font-display: swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'UWC27 Normal Regular', sans-serif;
}

h1, h2, h3, h4 {
    font-family: 'UWC27 Bold', sans-serif;
}

body.menu-abierto {
    overflow: hidden;
}

/* ANIMACIONES AL SCROLL */
section {
    opacity: 0;
    transform: translateY(25px);
    transition: all 0.8s cubic-bezier(0.16, 1, 0.3, 1);
}

section.visible {
    opacity: 1;
    transform: translateY(0);
}

/* SCROLL PERSONALIZADO MUNDIALISTA */
.overflow-x-auto::-webkit-scrollbar {
    height: 6px;
}
.overflow-x-auto::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 3px;
}
.overflow-x-auto::-webkit-scrollbar-thumb {
    background: #eab308;
    border-radius: 3px;
}
.overflow-x-auto::-webkit-scrollbar-thumb:hover {
    background: #ca8a04;
}

::selection {
    background-color: #A12C5A; /* Rosado bordó */
    color: white;
}

::-moz-selection {
    background-color: #A12C5A; /* Firefox */
    color: white;
}